require "infopark_component_cache/delayed_guard"
require "infopark_component_cache/guards/last_changed"

module InfoparkComponentCache
  module Guards
    # @author Tomasz Przedmojski <tomasz.przedmojski@infopark.de>
    #
    # This class is a delayed version of LastChanged guard.
    # The preconfigured delay is 10 seconds.
    #
    # @see DelayedGuard
    # @see LastChanged
    class DelayedLastChanged < LastChanged
      include DelayedGuard
      delay :current_last_changed, for: 10.seconds
    end
  end
end
