require "infopark_component_cache/delayed_guard"
require "infopark_component_cache/guards/obj_count"

module InfoparkComponentCache
  module Guards
    # @author Tomasz Przedmojski <tomasz.przedmojski@infopark.de>
    #
    # This class is a delayed version of ObjCount guard.
    # The preconfigured delay is 10 seconds.
    #
    # @see DelayedGuard
    # @see ObjCount
    class DelayedObjCount < ObjCount
      include DelayedGuard
      delay :current_count, for: 10.seconds
    end
  end
end
