require "infopark_component_cache/delayed_guard"
require "infopark_component_cache/guards/valid_from"

module InfoparkComponentCache
  module Guards
    # @author Tomasz Przedmojski <tomasz.przedmojski@infopark.de>
    #
    # This class is a delayed version of ValidFrom guard.
    # The preconfigured delay is 10 seconds.
    #
    # @see DelayedGuard
    # @see ValidFrom
    class DelayedValidFrom < ValidFrom
      include DelayedGuard
      delay :current_min_valid_from, for: 10.seconds
    end
  end
end
