require "infopark_component_cache/delayed_guard"
require "infopark_component_cache/guards/valid_until"

module InfoparkComponentCache
  module Guards
    # @author Tomasz Przedmojski <tomasz.przedmojski@infopark.de>
    #
    # This class is a delayed version of ValidUntil guard.
    # The preconfigured delay is 10 seconds.
    #
    # @see DelayedGuard
    # @see ValidUntil
    class DelayedValidUntil < ValidUntil
      include DelayedGuard
      delay :current_min_valid_until, for: 10.seconds
    end
  end
end
