require "infopark_component_cache/consistency_guard"

module InfoparkComponentCache
  module Guards
    # @author Tomasz Przedmojski <tomasz.przedmojski@infopark.de>
    #
    # This Guard class ensures that the cache object
    # for the component exists, i.e. when reading
    # the cache with component's key one does get a value
    class ValuePresent < ConsistencyGuard
      def consistent?
        cache.exist?(component.cache_key)
      end

      def guard!
        # noop
      end
    end
  end
end
