require "infopark_component_cache/abstract_cache_storage"

module InfoparkComponentCache
  # @author Tomasz Przedmojski <tomasz.przedmojski@infopark.de>
  #
  # This class has the exact same interface as CacheStorage
  # but it does not offer any guarantees regarding persistence
  # of the cache.
  # It should be not regarded any more safe than a NullCache.
  # The primasy use case here is to provide caching where
  # it is "nice to have" but also has to be extremely quick.
  class VolatileCacheStorage < AbstractCacheStorage
    protected

    def backing_storage
      @@backing_storage ||= ActiveSupport::Cache::MemoryStore.new({ size: 10.megabytes })
    end
  end
end
